Foxit PDF SDK

Instance Methods | Properties | List of all members
FSRendition Class Reference
Inheritance diagram for FSRendition:

## Instance Methods
(int) | - addMediaPlayer:player:
| Add a media player object for specified type. More...
(void) | - enableAutoPlay:opt_type:
| Set the flag to decide whether the media should automatically play when activated. More...
(void) | - enableControlBarVisible:opt_type:
| Set the control bar visibility flag. More...
(void) | - enableFloatingWindowCloseButton:opt_type:
| Set the flag to specify if the floating window should include user interface elements that allow a user to close a floating window. More...
(void) | - enableFloatingWindowTitleBar:opt_type:
| Set flag to specify if the floating window should have a title bar. More...
(unsigned int) | - getBackgroundColor
| Get the background color for the rectangle in which the media is being played. More...
(float) | - getBackgroundOpacity
| Get the background opacity. (ignored for full-screen and hidden windows) More...
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(int) | - getDuration
| Get the intrinsic duration. More...
(FSRenditionMediaPlayerFitStyle) | - getFitStyle
| Get the fit style. More...
(int) | - getFloatingWindowHeight
| Get the height of floating window, in pixels. More...
(FSRenditionFloatingWindowOffscreenEvent) | - getFloatingWindowOffscreenEvent
| Get the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor). More...
(FSPosition) | - getFloatingWindowPosition
| Get the position where floating window should be positioned to the related window. More...
(FSRenditionFloatingWindowRelatedWindowType) | - getFloatingWindowRelatedWindowType
| Get the window relative type. More...
(FSRenditionFloatingWindowResizeType) | - getFloatingWindowResizeType
| Get the resize type which specifies whether the floating window may be resized by a user. More...
(NSArray< NSString * > *) | - getFloatingWindowTitles
| Get the multi-language text array which provides text to display on the floating window's title bar. More...
(int) | - getFloatingWindowWidth
| Get the width of floating window, in pixels. More...
(NSString *) | - getMediaBaseURL
| Get the base URL. More...
(FSMediaPlayer *) | - getMediaPlayer:index:
| Get a media player object by index for specified type. More...
(int) | - getMediaPlayerCount:
| Get the count of media player objects for specified type. More...
(FSRenditionMonitorSpecifier) | - getMonitorSpecifier
| Get the monitor specifier type value. More...
(int) | - getRepeatCount
| Get the repeat count, similar to SMIL's repeatCount attribute. More...
(int) | - getVolume
| Get the volume that specifies the desired volume level as a percentage of recorded volume level. More...
(FSRenditionWindowType) | - getWindowType
| Get the type of window that the media should play in. More...
(BOOL) | - hasFloatingWindowCloseButton
| Check if the floating window should include user interface elements that allow a user to close a floating window. More...
(BOOL) | - hasFloatingWindowTitleBar
| Check if the floating window should have a title bar. More...
(BOOL) | - hasMediaClip
| Check if current rendition object contains a media clip. More...
(id) | - initWithOther:
| Constructor, with another rendition object. More...
(id) | - initWithPdf_doc:rendition_dict:
| Constructor, with parameters. More...
(BOOL) | - isAutoPlay
| Check whether the media should automatically play when activated. More...
(BOOL) | - isControlBarVisible
| Check whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeMediaPlayer:player:
| Remove a media player object for specified type. More...
(void) | - setBackgroundColor:opt_type:
| Set the background color for the rectangle in which the media is being played. More...
(void) | - setBackgroundOpacity:opt_type:
| Set the background opacity. (ignored for full-screen and hidden windows) More...
(void) | - setDuration:opt_type:
| Set the intrinsic duration. More...
(void) | - setFitStyle:opt_type:
| Set the fit style. More...
(void) | - setFloatingWindowOffscreenEvent:opt_type:
| Set the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor). More...
(void) | - setFloatingWindowPosition:opt_type:
| Set the position where floating window should be positioned to the related window. More...
(void) | - setFloatingWindowRelatedWindowType:opt_type:
| Set the window relative type. More...
(void) | - setFloatingWindowResizeType:opt_type:
| Set the resize type which specifies whether the floating window may be resized by a user. More...
(void) | - setFloatingWindowSize:height:opt_type:
| Set the size of floating window, in pixels. More...
(void) | - setFloatingWindowTitles:opt_type:
| Set the multi-language text array which provides text to display on the floating window's title bar. More...
(void) | - setMediaBaseURL:opt_type:
| Set the base URL. More...
(void) | - setMonitorSpecifier:opt_type:
| Set the monitor specifier type value. More...
(void) | - setRepeatCount:opt_type:
| Set the repeat count, similar to SMIL's repeatCount attribute. More...
(void) | - setVolume:opt_type:
| Set the volume that specifies the desired volume level as a percentage of recorded volume level. More...
(void) | - setWindowType:opt_type:
| Set the type of window that the media should play in. More...

## Properties
NSString * | mediaClipContentType
| Get or Set the content type (MIME type) of the media data. More...
FSFileSpec * | mediaClipFile
| Get or Set the file specification of the actual media data.
NSString * | mediaClipName
| Get or Set the name of the media clip, for use in user interface.
NSArray< NSString * > * | mediaDescriptions
| Get or Set the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played. More...
FSRenditionMediaPermission | permission
| Get or Set the media permission. More...
NSString * | renditionName
| Get or Set the name. More...

## Detailed Description

Rendition object is used as a media object that specifies what to play, how to play it and where to play it. (For more details, please refer to <PDF Reference 1.7> P758 Section "9.1.2 Renditions", P762 "Media Renditions")

## Method Documentation

## ◆ addMediaPlayer:player:()

- (int) addMediaPlayer: |  | (FSRenditionMediaPlayerType) | type
player: |  | (FSMediaPlayer*) | player

Add a media player object for specified type.

Usually, a media player object should be only be added to a rendition object with specified media player type. User is not recommended to add the same media player object to different renditions or different media player types of one rendition; otherwise unexpected issues (such as crash) may occur later. If user does not want to construct another media player and set same values, user can clone the dictionary of original media player object and use the cloned dictionary to construct another media player directly.

Parameters

  [in] | type | Media player type. Please refer to values starting from FSRenditionMediaPlayerMustUsed and this should be one of these values.
  [in] | player | A media player object to be added for specified type. If the media player has existed for specified type, this function will return the index of the media player.

Returns
  Index of the input media player.

## ◆ enableAutoPlay:opt_type:()

- (void) enableAutoPlay: |  | (BOOL) | is_auto_play
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the flag to decide whether the media should automatically play when activated.

Parameters

  [in] | is_auto_play | YES means the media should automatically play when activated, while NO means the media should be initially paused when activated (for example, the first frame is displayed). Relevant only for media that may be paused.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ enableControlBarVisible:opt_type:()

- (void) enableControlBarVisible: |  | (BOOL) | is_visible
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the control bar visibility flag.

Control bar visibility flag is used to decide whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

Parameters

  [in] | is_visible | YES means to display a player-specific controller user interface, while NO means not to display such user interface.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ enableFloatingWindowCloseButton:opt_type:()

- (void) enableFloatingWindowCloseButton: |  | (BOOL) | is_visible
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the flag to specify if the floating window should include user interface elements that allow a user to close a floating window.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.

Parameters

  [in] | is_visible | YES means the floating window should include user interface elements that allow a user to close a floating window, while NO means the floating window does not need to include such user interface element.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ enableFloatingWindowTitleBar:opt_type:()

- (void) enableFloatingWindowTitleBar: |  | (BOOL) | is_visible
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set flag to specify if the floating window should have a title bar.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.

Parameters

  [in] | is_visible | YES means the floating window should have a title bar, while NO means the floating window does not need to have a title bar.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ getBackgroundColor()

- (unsigned int) getBackgroundColor |  |  |

Get the background color for the rectangle in which the media is being played.

Returns
  Background color. Format: 0xRRGGBB. The returned value 0xFFFFFF may also mean that no value for such property is defined in the rendition object.

## ◆ getBackgroundOpacity()

- (float) getBackgroundOpacity |  |  |

Get the background opacity. (ignored for full-screen and hidden windows)

Returns
  Background opacity. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque. If no value for such property is defined in the rendition object, 1.0 would be returned by default.

## ◆ getDict()

- (FSPDFDictionary *) getDict |  |  |

Get PDF dictionary of current object.

Returns
  The PDF dictionary. If there is any error, this function will return nil.

## ◆ getDuration()

- (int) getDuration |  |  |

Get the intrinsic duration.

Returns
  Intrinsic duration value. It would be:
  - -2: use intrinsic duration;
  - -1: infinity duration;
  - >= 0: explicit duration.
  If no value for such property is defined in the rendition object, -2 would be returned by default.

## ◆ getFitStyle()

- (FSRenditionMediaPlayerFitStyle) getFitStyle |  |  |

Get the fit style.

Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Returns
  Fit style value. Please refer to values starting from FSRenditionMediaPlayerFitStyleMeet and this would be one of these values. If no value for such property is defined in the rendition object, FSRenditionMediaPlayerFitStyleDefault would be returned by default.

## ◆ getFloatingWindowHeight()

- (int) getFloatingWindowHeight |  |  |

Get the height of floating window, in pixels.

This property is necessary when the windows type is FSRenditionWindowTypeFloating.

Returns
  Height of floating window, in pixels.

## ◆ getFloatingWindowOffscreenEvent()

- (FSRenditionFloatingWindowOffscreenEvent) getFloatingWindowOffscreenEvent |  |  |

Get the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

This property is only useful when the windows type is FSRenditionWindowTypeFloating.

Returns
  Event type for offscreen situation of floating window. Please refer to values starting from FSRenditionFloatingWindowOffscreenEventNone and this would be one of these values. If no value for such property is defined in the rendition object, FSRenditionFloatingWindowOffscreenEventMoveResize would be returned by default.

## ◆ getFloatingWindowPosition()

- (FSPosition) getFloatingWindowPosition |  |  |

Get the position where floating window should be positioned to the related window.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.
Window relative specifies the place to which the floating window should be positioned.

Returns
  Position value. Please refer to values starting from FSPosTopLeft and this would be one of these values. If no value for such property is defined in the rendition object, FSPosCenter would be returned by default.

## ◆ getFloatingWindowRelatedWindowType()

- (FSRenditionFloatingWindowRelatedWindowType) getFloatingWindowRelatedWindowType |  |  |

Get the window relative type.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.
Related window type specifies the place to which the floating window should be positioned.

Returns
  Related window type. Please refer to values starting from FSRenditionFloatingWindowRelatedWindowDocument and this would be one of these values. this would be one of these values. If no value for such property is defined in the rendition object, FSRenditionFloatingWindowRelatedWindowDocument would be returned by default.

## ◆ getFloatingWindowResizeType()

- (FSRenditionFloatingWindowResizeType) getFloatingWindowResizeType |  |  |

Get the resize type which specifies whether the floating window may be resized by a user.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.

Returns
  Resize type. Please refer to values starting from FSRenditionFloatingWindowResizeTypeNo and this would be one of these values. If no value for such property is defined in the rendition object, FSRenditionFloatingWindowResizeTypeNo would be returned by default.

## ◆ getFloatingWindowTitles()

- (NSArray< NSString * > *) getFloatingWindowTitles |  |  |

Get the multi-language text array which provides text to display on the floating window's title bar.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.
Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the caption.

Returns
  A string array that represents multi-language text array.

## ◆ getFloatingWindowWidth()

- (int) getFloatingWindowWidth |  |  |

Get the width of floating window, in pixels.

This property is necessary when the windows type is FSRenditionWindowTypeFloating.

Returns
  Width of floating window, in pixels.

## ◆ getMediaBaseURL()

- (NSString *) getMediaBaseURL |  |  |

Get the base URL.

Base URL is an absolute URL which is used in resolving any relative URLs found within the media data.

Returns
  The base URL.

## ◆ getMediaPlayer:index:()

- (FSMediaPlayer *) getMediaPlayer: |  | (FSRenditionMediaPlayerType) | type
index: |  | (int) | index

Get a media player object by index for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from FSRenditionMediaPlayerMustUsed and this should be one of these values.
  [in] | index | Index of the media player object to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSRendition::getMediaPlayerCount:.

Returns
  A media player object.

## ◆ getMediaPlayerCount:()

- (int) getMediaPlayerCount: |  | (FSRenditionMediaPlayerType) | type |

Get the count of media player objects for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from FSRenditionMediaPlayerMustUsed and this should be one of these values.

Returns
  The count of media player objects for specified type.

## ◆ getMonitorSpecifier()

- (FSRenditionMonitorSpecifier) getMonitorSpecifier |  |  |

Get the monitor specifier type value.

Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Returns
  Monitor specifier type value. Please refer to values starting from FSRenditionMonitorSpecifierLargest and this would be one of these values. If no value for such property is defined in the rendition object, FSRenditionMonitorSpecifierLargest would be returned by default.

## ◆ getRepeatCount()

- (int) getRepeatCount |  |  |

Get the repeat count, similar to SMIL's repeatCount attribute.

Returns
  The repeat count.0 means repeat forever. If no value for such property is defined in the rendition object, 1 would be returned by default.

## ◆ getVolume()

- (int) getVolume |  |  |

Get the volume that specifies the desired volume level as a percentage of recorded volume level.

Returns
  Volume value. 0 means mute.If no value for such property is defined in the rendition object, 100 would be returned by default.

## ◆ getWindowType()

- (FSRenditionWindowType) getWindowType |  |  |

Get the type of window that the media should play in.

Returns
  Windows type value. Please refer to FSRenditionWindowTypeFloating values and it would be one of these values. If no value for such property is defined in the rendition object, FSRenditionWindowTypeAnnotRect would be returned by default.

## ◆ hasFloatingWindowCloseButton()

- (BOOL) hasFloatingWindowCloseButton |  |  |

Check if the floating window should include user interface elements that allow a user to close a floating window.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.

Returns
  YES means the floating window should include user interface elements that allow a user to close a floating window, while NO means the floating window does not need to include such user interface element. If no value for such property is defined in the rendition object, YES would be returned by default.

## ◆ hasFloatingWindowTitleBar()

- (BOOL) hasFloatingWindowTitleBar |  |  |

Check if the floating window should have a title bar.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.

Returns
  YES means the floating window should have a title bar, while NO means the floating window does not need to have a title bar. If no value for such property is defined in the rendition object, YES would be returned by default.

## ◆ hasMediaClip()

- (BOOL) hasMediaClip |  |  |

Check if current rendition object contains a media clip.

Returns
  YES means current rendition object contains a media clip, while NO means current rendition object does not contain any media clip.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSRendition*) | other |

Constructor, with another rendition object.

Parameters

  [in] | other | Another rendition object.

## ◆ initWithPdf_doc:rendition_dict:()

- (id) initWithPdf_doc: |  | (FSPDFDoc*) | pdf_doc
rendition_dict: |  | (FSPDFDictionary*) | rendition_dict

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document object.
  [in] | rendition_dict | The PDF dictionary for a rendition object in PDF document represented by parameter pdf_doc. If this is nil that means to construct a new rendition object in PDF document represented by parameter pdf_obj. Default value: nil.

## ◆ isAutoPlay()

- (BOOL) isAutoPlay |  |  |

Check whether the media should automatically play when activated.

Returns
  YES means the media should automatically play when activated, while NO means the media should be initially paused when activated (for example, the first frame is displayed). Relevant only for media that may be paused. If no value for such property is defined in the rendition object, YES would be returned by default.

## ◆ isControlBarVisible()

- (BOOL) isControlBarVisible |  |  |

Check whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

Returns
  YES means to display a player-specific controller user interface, while NO means not to display such user interface. If no value for such property is defined in the rendition object, NO would be returned by default.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ removeMediaPlayer:player:()

- (void) removeMediaPlayer: |  | (FSRenditionMediaPlayerType) | type
player: |  | (FSMediaPlayer*) | player

Remove a media player object for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from FSRenditionMediaPlayerMustUsed and this should be one of these values.
  [in] | player | A media player object to be removed.

Returns
  None.

## ◆ setBackgroundColor:opt_type:()

- (void) setBackgroundColor: |  | (unsigned int) | color
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the background color for the rectangle in which the media is being played.

Parameters

  [in] | color | Background color to set. Format: 0xRRGGBB.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setBackgroundOpacity:opt_type:()

- (void) setBackgroundOpacity: |  | (float) | opacity
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the background opacity. (ignored for full-screen and hidden windows)

Parameters

  [in] | opacity | Background opacity. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setDuration:opt_type:()

- (void) setDuration: |  | (int) | duration
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the intrinsic duration.

Parameters

  [in] | duration | Intrinsic duration value to set. It should be: -2: use intrinsic duration; -1: infinity duration; >= 0: explicit duration.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setFitStyle:opt_type:()

- (void) setFitStyle: |  | (FSRenditionMediaPlayerFitStyle) | fit_style
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the fit style.

Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Parameters

  [in] | fit_style | Fit style value. Please refer to values starting from FSRenditionMediaPlayerFitStyleMeet and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setFloatingWindowOffscreenEvent:opt_type:()

- (void) setFloatingWindowOffscreenEvent: |  | (FSRenditionFloatingWindowOffscreenEvent) | offscreen_event
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

This property is only useful when the windows type is FSRenditionWindowTypeFloating.

Parameters

  [in] | offscreen_event | Event type for offscreen situation of floating window. Please refer to values starting from FSRenditionFloatingWindowOffscreenEventNone and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setFloatingWindowPosition:opt_type:()

- (void) setFloatingWindowPosition: |  | (FSPosition) | position
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the position where floating window should be positioned to the related window.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.
Window relative specifies the place to which the floating window should be positioned.

Parameters

  [in] | position | Window relative type. Please refer to values starting from FSRenditionFloatingWindowRelatedWindowDocument and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setFloatingWindowRelatedWindowType:opt_type:()

- (void) setFloatingWindowRelatedWindowType: |  | (FSRenditionFloatingWindowRelatedWindowType) | window_type
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the window relative type.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.
Related window type specifies the place to which the floating window should be positioned.

Parameters

  [in] | window_type | Related window type. Please refer to values starting from FSRenditionFloatingWindowRelatedWindowDocument and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setFloatingWindowResizeType:opt_type:()

- (void) setFloatingWindowResizeType: |  | (FSRenditionFloatingWindowResizeType) | resize_type
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the resize type which specifies whether the floating window may be resized by a user.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.

Parameters

  [in] | resize_type | Resize type. Please refer to values starting from FSRenditionFloatingWindowResizeTypeNo and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setFloatingWindowSize:height:opt_type:()

- (void) setFloatingWindowSize: |  | (int) | width
height: |  | (int) | height
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the size of floating window, in pixels.

This property is necessary when the windows type is FSRenditionWindowTypeFloating.

Parameters

  [in] | width | Width of floating window, in pixels. This value should be larger than 0.
  [in] | height | Height of floating window, in pixels. This value should be larger than 0.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setFloatingWindowTitles:opt_type:()

- (void) setFloatingWindowTitles: |  | (NSArray<NSString *> *) | titles
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the multi-language text array which provides text to display on the floating window's title bar.

This property is only useful when the windows type is FSRenditionWindowTypeFloating.
Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the caption.

Parameters

  [in] | titles | A string array that represents multi-language text array.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setMediaBaseURL:opt_type:()

- (void) setMediaBaseURL: |  | (NSString *) | base_url
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the base URL.

Base URL is an absolute URL which is used in resolving any relative URLs found within the media data.

Parameters

  [in] | base_url | The base URL to set.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setMonitorSpecifier:opt_type:()

- (void) setMonitorSpecifier: |  | (FSRenditionMonitorSpecifier) | monitor_specifier
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the monitor specifier type value.

Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Parameters

  [in] | monitor_specifier | Monitor specifier type value. Please refer to values starting from FSRenditionMonitorSpecifierLargest and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setRepeatCount:opt_type:()

- (void) setRepeatCount: |  | (int) | count
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the repeat count, similar to SMIL's repeatCount attribute.

Parameters

  [in] | count | The repeat count to be set. 0 means repeat forever. This value should not be negative value.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setVolume:opt_type:()

- (void) setVolume: |  | (int) | volume
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the volume that specifies the desired volume level as a percentage of recorded volume level.

Parameters

  [in] | volume | Volume value to set. 0 means mute. This value should not be negative.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## ◆ setWindowType:opt_type:()

- (void) setWindowType: |  | (FSRenditionWindowType) | window_type
opt_type: |  | (FSRenditionMediaOptionType) | opt_type

Set the type of window that the media should play in.

Parameters

  [in] | window_type | Windows type value. Please refer to values starting from FSRenditionWindowTypeFloating and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from FSRenditionMediaOptionMustBeHonored and this should be one of these values. Default value: FSRenditionMediaOptionBestEffort.

Returns
  None.

## Property Documentation

## ◆ mediaClipContentType

- (NSString *) mediaClipContentType
| read write nonatomic weak

Get or Set the content type (MIME type) of the media data.

Content type specifies the type of the media data represented by file specification. The content type string should conform to the content type specification described in Internet RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies.

## ◆ mediaDescriptions

- (NSArray< NSString * > *) mediaDescriptions
| read write nonatomic weak

Get or Set the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played.

Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the description.

## ◆ permission

- (FSRenditionMediaPermission) permission
| read write nonatomic assign

Get or Set the media permission.

Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

## ◆ renditionName

- (NSString *) renditionName
| read write nonatomic weak

Get or Set the name.

This name can be used for name tree lookup by JavaSript actions and can also be used in user interface.